<script lang="ts" setup>
import type { BaseForm } from '@/types/base';
import { Devsecops, Error } from 'slippers-ui/icons';

const icons = {
  Devsecops,
};

interface SideBySideFormProps {
  title: string;
  subtitle?: string;
  text?: string;
  disclaimer?: string;
  config?: {
    id: string;
    icon?: string;
  };
  form: BaseForm;
}

defineProps<SideBySideFormProps>();
</script>

<template>
  <SlpSection :id="config?.id" class="form-section">
    <SlpRow class="flex">
      <SlpColumn :cols="6">
        <div v-if="config?.icon" class="form-section__icon-wrapper">
          <SlpIcon :icon="icons[config.icon]" class="form-section__icon" />
        </div>
        <SlpTypography class="slp-mb-32" tag="h2" variant="heading2-bold">{{ title }} </SlpTypography>
        <SlpTypography v-if="subtitle" class="slp-mb-24" tag="h3" variant="heading5">{{ subtitle }}</SlpTypography>
        <SlpTypography v-if="text" tag="div" variant="body1">
          <div v-html="$md.render(text)" />
        </SlpTypography>
      </SlpColumn>
      <SlpColumn :cols="6" class="form-section__form-wrapper">
        <div class="form-section__form">
          <CommonMktoForm v-bind="form" />
        </div>
        <div v-if="disclaimer" class="disclaimer slp-mt-24">
          <div class="icon">
            <SlpIcon :icon="Error" />
          </div>
          <SlpTypography tag="div" variant="body2">
            {{ disclaimer }}
          </SlpTypography>
        </div>
      </SlpColumn>
    </SlpRow>
  </SlpSection>
</template>

<style lang="scss" scoped>
.form-section {
  background: $color-surface-800;
  padding: $spacing-48 0;
  @media (min-width: $breakpoint-lg) {
    padding: $spacing-96 0;
  }
  &:deep(.slp-text-body2) {
    strong {
      font-weight: bold;
    }
  }

  &__icon-wrapper {
    background-color: $color-surface-950;
    border-radius: 50%;
    padding: $spacing-4;
    height: 48px;
    width: 48px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: $spacing-24;
  }

  &__icon {
    height: 28px;
    width: 28px;
  }

  .disclaimer {
    display: flex;
    flex-wrap: nowrap;
    align-items: flex-start;
    gap: 8px;
  }

  .flex {
    display: flex;
    flex-wrap: nowrap;
    gap: 48px;

    @media (max-width: $breakpoint-lg) {
      flex-wrap: wrap;
    }
  }

  &__block {
    margin-bottom: $spacing-32;
  }
  &__card {
    cursor: default !important;
    background: $color-surface-50;
    box-shadow: none !important;
    border: 1px solid $color-surface-200;
    margin-bottom: $spacing-48;
    max-width: 100%;
    @media (min-width: $breakpoint-lg) {
      margin-bottom: 0;
    }
  }
  &__form {
    width: 100%;
    background-color: $color-surface-50;
    padding: 24px;
    border-radius: 4px;
    border: 1px solid $color-surface-300;
  }

  &__disc {
    display: flex;
    margin: $spacing-32 0;
  }

  &:deep(h5) {
    font-size: $text-heading-5;
    font-weight: $font-weight-bold;
    letter-spacing: $letter-spacing-heading-5;
    line-height: $line-height-heading-5;
  }
}
</style>
